> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check a candidate identifier set: ok, modify, remove and assess buckets



## OpenAPI

````yaml /openapi/buyer.yaml post /api/v2/buyer/property-lists/check
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Update Proposals
  - name: Optimization Suggestions
  - name: Creatives
  - name: Catalogs
  - name: Property Lists
  - name: Audiences
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
  - name: Activity
paths:
  /api/v2/buyer/property-lists/check:
    post:
      tags:
        - Property Lists
      summary: 'Check a candidate identifier set: ok, modify, remove and assess buckets'
      operationId: postBuyerPropertyListsCheck
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domains:
                  maxItems: 100000
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 1024
                identifiers:
                  maxItems: 100000
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - domain
                          - subdomain
                          - ios_bundle
                          - android_package
                          - apple_app_store_id
                          - google_play_id
                          - roku_store_id
                          - fire_tv_asin
                          - samsung_app_id
                          - apple_tv_bundle
                          - bundle_id
                      value:
                        type: string
                        minLength: 1
                        maxLength: 1024
                    required:
                      - type
                      - value
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          summary:
                            type: object
                            properties:
                              total:
                                type: number
                              remove:
                                type: number
                              modify:
                                type: number
                              assess:
                                type: number
                              ok:
                                type: number
                            required:
                              - total
                              - remove
                              - modify
                              - assess
                              - ok
                            additionalProperties: false
                          remove:
                            type: array
                            items:
                              type: object
                              properties:
                                input:
                                  type: string
                                canonical:
                                  type: string
                                reason:
                                  type: string
                                  enum:
                                    - duplicate
                                    - blocked
                                domain_type:
                                  type: string
                                blocked_reason:
                                  type: string
                                identifier:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - domain
                                        - subdomain
                                        - ios_bundle
                                        - android_package
                                        - apple_app_store_id
                                        - google_play_id
                                        - roku_store_id
                                        - fire_tv_asin
                                        - samsung_app_id
                                        - apple_tv_bundle
                                        - bundle_id
                                    value:
                                      type: string
                                      minLength: 1
                                      maxLength: 1024
                                  required:
                                    - type
                                    - value
                                  additionalProperties: false
                              required:
                                - input
                                - canonical
                                - reason
                              additionalProperties: false
                          modify:
                            type: array
                            items:
                              type: object
                              properties:
                                input:
                                  type: string
                                canonical:
                                  type: string
                                reason:
                                  type: string
                                identifier:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - domain
                                        - subdomain
                                        - ios_bundle
                                        - android_package
                                        - apple_app_store_id
                                        - google_play_id
                                        - roku_store_id
                                        - fire_tv_asin
                                        - samsung_app_id
                                        - apple_tv_bundle
                                        - bundle_id
                                    value:
                                      type: string
                                      minLength: 1
                                      maxLength: 1024
                                  required:
                                    - type
                                    - value
                                  additionalProperties: false
                              required:
                                - input
                                - canonical
                                - reason
                              additionalProperties: false
                          assess:
                            type: array
                            items:
                              type: object
                              properties:
                                domain:
                                  type: string
                                identifier:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - domain
                                        - subdomain
                                        - ios_bundle
                                        - android_package
                                        - apple_app_store_id
                                        - google_play_id
                                        - roku_store_id
                                        - fire_tv_asin
                                        - samsung_app_id
                                        - apple_tv_bundle
                                        - bundle_id
                                    value:
                                      type: string
                                      minLength: 1
                                      maxLength: 1024
                                  required:
                                    - type
                                    - value
                                  additionalProperties: false
                              required:
                                - domain
                              additionalProperties: false
                          ok:
                            type: array
                            items:
                              type: object
                              properties:
                                domain:
                                  type: string
                                source:
                                  type: string
                                identifier:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - domain
                                        - subdomain
                                        - ios_bundle
                                        - android_package
                                        - apple_app_store_id
                                        - google_play_id
                                        - roku_store_id
                                        - fire_tv_asin
                                        - samsung_app_id
                                        - apple_tv_bundle
                                        - bundle_id
                                    value:
                                      type: string
                                      minLength: 1
                                      maxLength: 1024
                                  required:
                                    - type
                                    - value
                                  additionalProperties: false
                              required:
                                - domain
                                - source
                              additionalProperties: false
                          reportId:
                            type: string
                          reportIds:
                            type: array
                            items:
                              type: string
                        required:
                          - summary
                          - remove
                          - modify
                          - assess
                          - ok
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````